package org.example;

import com.nhn.gameanvil.GameAnvilServer;
import com.nhn.gameanvil.common.GameAnvilApplication;
import protocol.BasicProtocol;
import protocol.Puzzle;

@GameAnvilApplication
public class Main {
    public static void main(String[] args) {
        final var server = GameAnvilServer.getInstance();

        server.addProtocol(BasicProtocol.class);
        server.addProtocol(Puzzle.class);

        server.run(Main.class, args);
    }
}
